%define _sysconfdir /etc

Summary: Daemon for providing old entries in /dev with devfs
Name: devfsd
Exclusiveos: Linux
Version: 1.3.11
Release: 1mdk
Copyright: GPL
URL: ftp://ftp.atnf.csiro.au/pub/people/rgooch/linux/%{name}-v%{version}.tar.bz2
Group: System/Kernel and hardware
Source: %{name}-v%{version}.tar.bz2
Source1: devfs_fs.h.bz2
Source2: devfs_fs_kernel.h.bz2
Patch0: devfsd-cdrom-mdk.diff.bz2
Patch1: devfsd-mod-mdk.diff.bz2
Patch3: devfs-save_state.diff
Patch4: devfs-vbi.diff
Patch5: devfsd-mode.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Requires: initscripts >= 4.97-49mdk
Prefix: /

%description
The devfsd programme is a daemon, run by the system boot
scripts which can provide for intelligent management of
device entries in the Device Filesystem (devfs).

As part of its setup phase devfsd creates certain symbolic
links which are compiled into the code. These links are
required by /usr/src/linux/Documentation/devices.txt. This
behaviour may change in future revisions.

devfsd will read the special control file .devfsd in a
mounted devfs, listening for the creation and removal of
device entries (this is termed a change operation). For
each change operation, devfsd can take many actions. The
daemon will normally run itself in the background and send
messages to syslog.

The opening of the syslog service is automatically delayed
until /dev/log is created.

At startup, before switching to daemon mode, devfsd will
scan the mounted device tree and will generate synthetic
REGISTER events for each leaf node.

%prep
%setup -q -n %{name}

%patch0 -p1
%patch1 -p1
%patch3 -p0
%patch4 -p0
%patch5 -p0

%build
mkdir linux
bzcat $RPM_SOURCE_DIR/devfs_fs.h.bz2 > linux/devfs_fs.h
bzcat $RPM_SOURCE_DIR/devfs_fs_kernel.h.bz2 > linux/devfs_fs_kernel.h
ls -l linux
make all CFLAGS="%{optflags} -I."

%install
mkdir -p %{buildroot}/{sbin,%{_sysconfdir},/%{_mandir}/man8,etc}
install -m 755 -s devfsd %{buildroot}/sbin/devfsd
install -m 644 devfsd.8 %{buildroot}/%{_mandir}/man8
install -m 644 devfsd.conf %{buildroot}%{_sysconfdir}
install -m 644 modules.devfs %{buildroot}%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_mandir}/man8/devfsd.8.bz2
/sbin/devfsd
%config(noreplace) %{_sysconfdir}/devfsd.conf
%config(noreplace) %{_sysconfdir}/modules.devfs

%changelog
* Tue Feb 06 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.11-1mdk
- new release
- remove glibc-2.2 hack as this release fix it

* Tue Jan 09 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.10-7mdk
- more ALSA stuff
- prevent devfsd to auto{save,load} permissions & ownerships
  on Unix98 ptys (/dev/pts)
- handle CD burners too

* Thu Jan 04 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.10-6mdk
- more stuff for videtext support
- comment my previous changes

* Thu Nov 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.10-5mdk
- enable devfs to save and restore /dev/ state in /var/dev-state
- document devfsd.conf to show how to force default permissions
  out of the kernel
- remove empty %%post

* Fri Nov 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.10-4mdk
- fix glibc22 compilation.

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.10-3mdk
- BM

* Mon Jul 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.10-2mdk
- fix from Stefan van der Eijk <s.vandereijk@chello.nl>
- make devfsd LM-update comliant (aka pixelization)


* Tue Jul 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.10-1mdk
- new release (argh ... why do he fix in a new release what i've just fixed
  !!! => suppres my previous patch as it is now in)
- let spec-helper compress man-page
- guillomization

* Tue Jul 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.9-2mdk
- automatically load modules when a process lookup a /dev entry (part1)
	(part2 is copying richard' aliases in /etc/conf.modules)
  

* Tue Jun 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.9-1mdk
- New release
- Add old cdrom entries (i'll remove those from /etc/rc.d/rc.sysinit which is
  eventually not their place)
- Use mandir macros for FHS compatibilty.
- Add URL

* Wed Apr 19 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 1.3.5-1mdk
- version 1.3.5
- ditch mdk fixes patch

* Tue Apr 18 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 1.3.4-1mdk
- version 1.3.4
- fix spec permissions

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 1.3.3-1mdk
- version 1.3.3
- new BuildRoot

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.31-2mdk
- fix a typo in the release number :-(
- compiled against 2.3.99pre4-1
- patches for DrakX had been submited and integrated. Patches for rc.sysinit
  are currently tested.

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.31-1mdk
- fist mandrake spec: use spechelper
- by default, we provide compatiblity entries in /dev
  (DiskDrake won't like /dev/ide/host0/bus0/target0/lun0/part1 instead of
  /dev/hda1 ...)
- fix bad code compilation
- add loading of sound module when /dev/{mixer,dsp,...} is lookuped

